/**
 * @file
 * Completion score display.
 */
(function ($, Drupal) {
  "use strict";
  Drupal.skillingSettings.completionScoreDisplayInitialized = false;
  Drupal.behaviors.completionScoreDisplay = {
    attach: function (context, settings) {
      if ( Drupal.skillingSettings.completionScoreDisplayInitialized ) {
        return;
      }
      Drupal.skillingSettings.completionScoreDisplayInitialized = true;
      let srcPath = drupalSettings.completionScoreFileName;
      let altText = drupalSettings.completionScoreText;
      let menuItem = $("#skilling-completion-score-main-menu-item");
      if (menuItem) {
        let html = "<img src='" + srcPath + "' alt='" + altText + '" title="' +
            altText + '">';
        menuItem.html(html);
      }
    }
  }
})(jQuery, Drupal);
